onchange.implementor.class=com.itd.efiling.offline.ITR4.onchange.util.OnChangeUtil
####################################PERSONAL_INFO_FUNCTIONS_STARTS##########################################
itr.itr4.personalInfo.assesseeName.firstName=onChangeName
itr.itr4.personalInfo.assesseeName.middleName=onChangeName
itr.itr4.personalInfo.assesseeName.surNameOrOrgName=onChangeName

itr.itr4.personalInfo.aadhaarCardNo=validateAadhar
itr.itr4.personalInfo.aadhaarEnrolmentId=validateAadhar
itr.itr4.personalInfo.pan=onChangePan
itr.itr4.personalInfo.gender=onChangeReturnFileSec
itr.itr4.personalInfo.status=onChangePersonalStatus
itr.itr4.personalInfo.address.stateCode=onChangeState
itr.itr4.personalInfo.address.countryCode=onChangeCountry
itr.itr4.personalInfo.address.zipcodeCheck=onCheckZipcode
itr.itr4.personalInfo.dob=onChangeDate
itr.itr4.personalInfo.address.phone.stDcode=defaultZero
itr.itr4.personalInfo.address.phone.phoneNo=defaultZero
itr.itr4.personalInfo.address.mobileNoSec=defaultZero
itr.itr4.personalInfo.address.roadOrStreet=defaultZero
itr.itr4.filingStatus.receiptNo=validateAadhar
itr.itr4.filingStatus.noticeNo=validateAadhar
itr.itr4.filingStatus.returnFileSec=onChangeReturnFileSec1
itr.itr4.filingStatus.returnFileSec1=onChangeReturnFileSec2
itr.itr4.filingStatus.origRetFiledDate=onChangeRevised
itr.itr4.filingStatus.noticeDateUnderSec=onChangeDefectiveDate
itr.itr4.filingStatus.assesseeRep.repPAN=chkrepPANwithUserPAN
itr.itr4.filingStatus.assesseeRep.repAadhaar=validateAadhar
itr.itr4.personalInfo.employerCategory=lockUnlockEntallowanceandProftax
itr.itr4.filingStatus.asseseeRepFlg=onChangeAsseseeRepFlg
itr.itr4.personalInfo.address.emailAddress=setEmailIds
####################################PERSONAL_INFO_FUNCTIONS_ENDS#############################################

####################################INCOME_DETAILS_FUNCTIONS_STARTS##########################################
extentExemptController.type.salNatureDesc=onchangeExtentExmpt
incomeOtherSourceController.type.othSrcNatureDesc=onchangeIncomeFromOtherSource
extentExemptController.type.salOthAmount=calculateTotal_salaryIncm
itr.itr4.itr1IncomeDeductions.professionalTaxUs16iii=calculateGrossTotalOnChange
itr.itr4.itr1IncomeDeductions.entertainmntalwncUs16ii=calculateGrossTotalOnChange
itr.itr4.itr1IncomeDeductions.deductionUs16ia=calculateGrossTotalOnChange
incomeOtherSourceController.type.othSrcOthAmount=calculateTotal_otherSourceIncm
itr.itr4.itr1IncomeDeductions.deductionUs57iia=deductionUs57iiaCheck
gstinController.type.amtTurnGrossRcptGSTIN=onchangeAmtTurnGrossRcptGSTIN
natureOfBusinessGoods44AEController.type.holdingPeriod=onchangeTonnageCapacity
natureOfBusinessGoods44AEController.type.tonnageCapacity=onchangeTonnageCapacity

itr.itr4.itr1IncomeDeductions.depPayInvClmUndDednVIA=scheduleDIPopulate

itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDUsrType=onChangeSection80DD_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDBUsrType=onChangeSection80DDB
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80UUsrType=onChangeSection80U_User
itr.itr4.itr1IncomeDeductions.incomeFromSal=onChangeIncome
itr.itr4.itr1IncomeDeductions.totalIncomeOfHP=onChangeTotalIncomeOfHP
itr.itr4.itr1IncomeDeductions.incomeOthSrc=onChangeIncomeFromOther
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80C=onChangeSection80C_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC=onChangeSection80CCC_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployeeOrSE=onChangeSection80CCD
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B=onChangeSection80CCD1B_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer=onChangeSection80CCDEmployer_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DD=onChangeSection80DD_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB=onChangeSection80DDB
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80E=onChangeSection80E_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE=onChangeSection80EE_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80EEA=onChangeSection80EEA_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80EEB=onChangeSection80EEB_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG=check80GGAgain1
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC=onChangeSection80GGC_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80TTA=onChangeSection80TTA_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80TTB=onChangeSection80TTB_User
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80U=onChangeSection80U_User
itr.itr4.itr1IncomeDeductions.salary=calculateGrossTotalOnChange
itr.itr4.itr1IncomeDeductions.alwnsNotExempt=calculateGrossTotalOnChange
itr.itr4.itr1IncomeDeductions.perquisitesValue=calculateGrossTotalOnChange
itr.itr4.itr1IncomeDeductions.profitsInSalary=calculateGrossTotalOnChange
itr.itr4.itr1IncomeDeductions.deductionUs16=calculateGrossTotalOnChange
itr.itr4.itr1IncomeDeductions.typeOfHP=calculationTypeOfHp
itr.itr4.itr1IncomeDeductions.grossRentReceived=calculationHouseProperty
itr.itr4.itr1IncomeDeductions.taxPaidlocalAuth=calculationHouseProperty
itr.itr4.itr1IncomeDeductions.interestPayable=chargableHouseProp
itr.itr4.itr1IncomeDeductions.arrearsUnrealizedRentRcvd=chargableHouseProp
itr.itr4.taxComputation.section89=onChangeSection89
itr.itr4.taxComputation.intrstPay.intrstPayUs234A=onChangeInterst
itr.itr4.taxComputation.intrstPay.intrstPayUs234B=onChangeInterst
itr.itr4.taxComputation.intrstPay.intrstPayUs234C=onChangeInterst
itr.itr4.taxComputation.intrstPay.lateFilingFee234F=onChangeInterst
####################################INCOME_DETAILS_FUNCTIONS_ENDS##########################################

####################################44AE_FUNC_STARTS##########################################################
us44AeHeavyController.type.incomePerVehicle=deemedIncomeCalc
us44AeHeavyController.type.holdingPeriod=deemedIncomeCalc
####################################44AE_FUNC_ENDS############################################################

####################################NOB_BP_FUNCTIONS_STARTS################################################
natureOfBusinessController.type.tradeName1=defaultZero
natureOfBusinessController.type.tradeName2=defaultZero
natureOfBusinessController.type.tradeName3=defaultZero
itr.itr4.scheduleBP.persumptiveInc44AD.persumptiveInc44AD6Per=ErrorMsgFun
itr.itr4.scheduleBP.persumptiveInc44AD.persumptiveInc44AD6Per=presumptiveIncmeCalc
itr.itr4.scheduleBP.persumptiveInc44AD.persumptiveInc44AD8Per=presumptiveIncmeCalc
itr.itr4.scheduleBP.noBooksOfAccBS.partnerMemberOwnCapital=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.totSecuredLoans=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.totUnSecuredLoans=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.totSundryCreditors=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.totOthrCurrLiab=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.fixedAssets=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.inventoriesv=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.sundryDebtors=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.balWithBanks=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.totCashInHand=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.loansAndAdvances=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.otherAssets=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.totAdvances=NOB_BP_Total
itr.itr4.scheduleBP.noBooksOfAccBS.inventories=NOB_BP_Total
natureOfBusinessGoods44AEController.type.presumptiveIncome=OnchangePresumptiveIncome
itr.itr4.scheduleBP.persumptiveInc44AE.salInterestByFirm=presumptiveIncmeFirmCalc
itr.itr4.scheduleBP.persumptiveInc44ADA.totPersumptiveInc44ADA=presumptive_Total
itr.itr4.scheduleBP.persumptiveInc44AD.grsTrnOverAnyOthMode=validateE1Value
itr.itr4.scheduleBP.persumptiveInc44AD.grsTrnOverBank=validateE1Value
####################################NOB_BP_FUNCTIONS_ENDS#####################################################

####################################TDS1_FUNC_STARTS##########################################################
taxDetailsTabController.type.totalTDSSal=calculateTotalTax
taxDetailsTabController.type.incChrgSal=onChangeChargableIncome_table1
####################################TDS1_FUNC_ENDS############################################################

####################################TDS2_FUNC_STARTS##########################################################
taxDeductedFrmIncomeController.type.deductedYr=onchangeDeductedYr
taxDeductedFrmIncomeController.type.broughtFwdTDSAmt=OnchangeTDS
taxDeductedFrmIncomeController.type.tdsDeducted=OnchangeTDS
taxDeductedFrmIncomeController.type.tdsClaimed=OnchangeTDSClaimed
####################################TDS2_FUNC_ENDS############################################################

####################################TDS3_FUNC_STARTS##########################################################
taxDeductedTabController.type.deductedYr=onchangeDeductedYr
taxDeductedTabController.type.aadhaarofTenant=validateAadhar
taxDeductedTabController.type.broughtFwdTDSAmt=OnchangeTDSDeductI
taxDeductedTabController.type.tdsDeducted=OnchangeTDSDeductI
taxDeductedTabController.type.tdsClaimed=OnchangeTDSDeduct
####################################TDS3_FUNC_ENDS############################################################

####################################TCS_FUNC_STARTS###########################################################
taxCollectedAtSourceController.type.amtTCSClaimedThisYear=calculateTotalTax
####################################TCS_FUNC_ENDS############################################################

####################################ADVANCE_TAX_FUNC_STARTS##################################################
advancedTax.type.amt=calculateTotalTax
####################################ADVANCE_TAX_FUNC_ENDS####################################################

####################################TAX_PAID_AND_VERIFICATION_FUNC_STARTS####################################
incomeDetailsController.type.ifscCode=onChangeIFSC
incomeDetailsController.type.checkBoxFlag=onCheckBoxFlagRefund
itr.itr4.verification.date=onChangeVerification
itr.itr4.verification.capacity=onChangeCapacity
itr.itr4.refund.bankAccountDtls.priBankDetails.cashDeposited=defaultZero
itr.itr4.verification.declaration.assesseeVerPAN=onChangeVerPan
natureIncomeController.type.natureDesc=disableField
natureIncomeController.type.othAmount=calTotalOthrsIncm
itr.itr4.refund.bankAccountDtls.priBankDetails.bankAccountNo=validateAadhar
incomeDetailsController.type.bankAccountNo=validateAadhar
####################################TAX_PAID_AND_VERIFICATION_FUNC_ENDS######################################

####################################SCHEDULE_80G_FUNC_STARTS##################################################

itr4_80GController1.type.donationAmtCash=calculateEligibleAmnt_don100
itr4_80GController2.type.donationAmtCash=calculateEligibleAmnt_don50
itr4_80GController3.type.donationAmtCash=calculateEligibleAmnt_don100Appr
itr4_80GController.type.donationAmtCash=calculateEligibleAmnt_don50Appr

itr4_80GController1.type.donationAmtOtherMode=calculateEligibleAmnt_don100
itr4_80GController2.type.donationAmtOtherMode=calculateEligibleAmnt_don50
itr4_80GController3.type.donationAmtOtherMode=calculateEligibleAmnt_don100Appr
itr4_80GController.type.donationAmtOtherMode=calculateEligibleAmnt_don50Appr


itr4_80GController1.type.eligibleDonationAmt=calculateTotalTax_80G
itr4_80GController2.type.eligibleDonationAmt=calculateTotalTax_80G
itr4_80GController3.type.eligibleDonationAmt=calculateTotalTax_80G
itr4_80GController.type.eligibleDonationAmt=calculateTotalTax_80G

itr4_80GController1.type.doneePAN=panValidation80G
itr4_80GController2.type.doneePAN=panValidation80G
itr4_80GController3.type.doneePAN=panValidation80G
itr4_80GController.type.doneePAN=panValidation80G
####################################SCHEDULE_80G_FUNC_ENDS##################################################

####################################SCHEDULE_80D_FUNC_STARTS##################################################

itr.itr4.filingStatus.depAmtAggAmtExcd1CrPrYrFlg=onchangeDepositedAmount
itr.itr4.filingStatus.incrExpAggAmt2LkTrvFrgnCntryFlg=onchangeForeignAmt
itr.itr4.filingStatus.incrExpAggAmt1LkElctrctyPrYrFlg=onchangeIncurredAmount
itr.itr4.filingStatus.seventhProvisio139=onchangeSeventhProvisoFlag

itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.seniorCitizenFlag=onchangeFamSnrCtzFlag
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.parentsSeniorCitizenFlag=onchangeParSnrCtzFlag
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.prevHlthChckUpSlfFam=onChange_prevHlthChckUp
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.healthInsPremSlfFam=onChange_Schedule80D
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.hlthInsPremSlfFamSrCtzn=onChange_Schedule80D
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.prevHlthChckUpSlfFamSrCtzn=onChange_prevHlthChckUp
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.medicalExpSlfFamSrCtzn=onChange_Schedule80D
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.hlthInsPremParents=onChange_Schedule80D
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.prevHlthChckUpParents=onChange_prevHlthChckUp
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.parentsSeniorCitizen=onChange_Schedule80D
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.hlthInsPremParentsSrCtzn=onChange_Schedule80D
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.prevHlthChckUpParentsSrCtzn=onChange_prevHlthChckUp
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.medicalExpParentsSrCtzn=onChange_Schedule80D

####################################SCHEDULE_80D_FUNC_ENDS##################################################

####################################SCHEDULE_DI_FUNC_STARTS##################################################
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80C=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80CCC=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80CCDEmployeeOrSE=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80CCD1B=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80CCDEmployer=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80D=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80DD=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80DDB=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80G=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80E=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80EE=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80EEA=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80EEB=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80GG=scheduleDICalculate
itr.itr4.scheduleDI.invstDpstPymntDtlUsr.section80GGC=scheduleDICalculate
####################################SCHEDULE_DI_FUNC_ENDS##################################################

recalculate=onRecalculate
xml_gen=onXmlGen


